Skip to main content
POST
/
v1
/
customers
/
{Customer}
/
wallet
Create Customer Wallet Payment Method
curl --request POST \
  --url https://api.ecrypt.com/v1/customers/{Customer}/wallet \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "token": "00000000-0000-0000-0000-000000000000",
  "transactionId": "0",
  "default": true,
  "billingAddress": {
    "name": "<string>",
    "line1": "<string>",
    "line2": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postalCode": "<string>",
    "country": "<string>"
  }
}
'
import requests

url = "https://api.ecrypt.com/v1/customers/{Customer}/wallet"

payload = {
"token": "00000000-0000-0000-0000-000000000000",
"transactionId": "0",
"default": True,
"billingAddress": {
"name": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
token: '00000000-0000-0000-0000-000000000000',
transactionId: '0',
default: true,
billingAddress: {
name: '<string>',
line1: '<string>',
line2: '<string>',
city: '<string>',
state: '<string>',
postalCode: '<string>',
country: '<string>'
}
})
};

fetch('https://api.ecrypt.com/v1/customers/{Customer}/wallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "requestId": "000000000000000000000",
  "wallet": {
    "id": "00000000-0000-0000-0000-000000000000",
    "network": "<string>",
    "accountNumber": "<string>",
    "expiry": "<string>",
    "default": true,
    "created": "<string>",
    "address": {
      "name": "<string>",
      "line1": "<string>",
      "line2": "<string>",
      "city": "<string>",
      "state": "<string>",
      "postalCode": "<string>",
      "country": "<string>"
    }
  },
  "errors": [
    {
      "type": "<string>",
      "message": "<unknown>"
    }
  ]
}
{
"requestId": "000000000000000000000",
"errors": [
{
"type": "<string>",
"message": "<unknown>"
}
]
}

Authorizations

x-api-key
string
header
required

Authorization by x-api-key inside request's header

Path Parameters

Customer
string
default:00000000-0000-0000-0000-000000000000
required
Required string length: 8 - 64
Pattern: ^[0-9A-Za-z-]*$

Body

token
string | null
default:00000000-0000-0000-0000-000000000000

Token generated from the tokens endpoint

Required string length: 8 - 64
Pattern: ^[0-9A-Za-z-]*$
transactionId
string | null
default:0

Approved Transaction ID

Required string length: 8 - 64
Pattern: ^[0-9]*$
default
boolean

Make this the default payment method

billingAddress
object | null

Response

object | null

OK

requestId
string
default:000000000000000000000
required
Required string length: 1 - 100
wallet
object | null
errors
(object | null)[] | null